# XMPP::BareJID Class Reference

`#include <xmpp.h>`

Inheritance diagram for XMPP::BareJID:

List of all members.

## Public Member Functions

| BareJID (const char *jid=0)
| BareJID (const PString &jid)
| BareJID (const PString &user, const PString &server, const PString &resource=PString::Empty())
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank.
BareJID & | operator= (const PString &jid)
virtual PObject * | Clone () const
| Create a copy of the class on the heap.
virtual PString | GetResource () const
virtual void | SetResource (const PString &)
virtual PBoolean | IsBare () const

## Constructor & Destructor Documentation

XMPP::BareJID::BareJID | ( | const char * | jid = `0` | ) | `[inline]`

XMPP::BareJID::BareJID | ( | const PString & | jid | ) | `[inline]`

XMPP::BareJID::BareJID | ( | const PString & | user,
|  | const PString & | server,
|  | const PString & | resource = `PString::Empty()` |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual PObject* XMPP::BareJID::Clone | ( |  | ) | const`[inline, virtual]`

Create a copy of the class on the heap.

The exact semantics of the descendent class determine what is required to make a duplicate of the instance. Not all classes can even do a clone operation.

The main user of the clone function is the `PDictionary` class as it requires copies of the dictionary keys.

The default behaviour is for this function to assert.

Returns:
  pointer to new copy of the class instance.

Reimplemented from XMPP::JID.

virtual Comparison XMPP::BareJID::Compare | ( | const PObject & | obj | ) | const`[virtual]`

Compare the two objects and return their relative rank.

This function is usually overridden by descendent classes to yield the ranking according to the semantics of the object.

The default function is to use the `CompareObjectMemoryDirect()` function to do a byte wise memory comparison of the two objects.

Returns:
  `LessThan`, `EqualTo` or `GreaterThan` according to the relative rank of the objects.

Parameters:

  obj | Object to compare against.

Reimplemented from XMPP::JID.

virtual PString XMPP::BareJID::GetResource | ( |  | ) | const`[inline, virtual]`

Reimplemented from XMPP::JID.

virtual PBoolean XMPP::BareJID::IsBare | ( |  | ) | const`[inline, virtual]`

Reimplemented from XMPP::JID.

BareJID& XMPP::BareJID::operator= | ( | const PString & | jid | ) |

Parameters:

  jid | New JID to assign.

Reimplemented from XMPP::JID.

virtual void XMPP::BareJID::SetResource | ( | const PString & |  | ) | `[inline, virtual]`

Reimplemented from XMPP::JID.

The documentation for this class was generated from the following file:

- xmpp.h